com.google.gwt.view.client

## Interface SetSelectionModel<T>

Type Parameters:
  `T` - the record data type

All Superinterfaces:
  HasHandlers, ProvidesKey<T>, SelectionChangeEvent.HasSelectionChangedHandlers, SelectionModel<T>

All Known Implementing Classes:
  MultiSelectionModel, OrderedMultiSelectionModel, SingleSelectionModel

    public interface SetSelectionModel<T>
    extends SelectionModel<T>

A model that allows getting all elements and clearing the selection.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.view.client.SelectionModel

`SelectionModel.AbstractSelectionModel<T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clear()` Clears the current selection.
`java.util.Set<T>` `getSelectedSet()` Get the set of selected items.

### Methods inherited from interface com.google.gwt.view.client.SelectionModel

`addSelectionChangeHandler, isSelected, setSelected`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Methods inherited from interface com.google.gwt.view.client.ProvidesKey

`getKey`

### Method Detail

#### clear

    void clear()

Clears the current selection.

#### getSelectedSet

    java.util.Set<T> getSelectedSet()

Get the set of selected items.

Returns:
  the set of selected items